Released docs. You are viewing the documentation published with v0.46.0. Development docs are available at Latest.
Discover the active workflow revision and typed contract
const url = 'https://example.com/v1/workflows/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/workflows/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Responses
Section titled “Responses”Authorized result
object
object
Example generated
{ "input": "example", "outcomes": {}, "workflow": "example", "workflowRevision": "example"}A problem: authentication.refused.
object
Example
{ "code": "authentication.refused", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}Headers
Section titled “Headers”Bearer authentication challenge for missing or refused credentials.
A problem: operation.not-authorized.
object
Example
{ "code": "operation.not-authorized", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: workflow.not-served.
object
Example
{ "code": "workflow.not-served", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: request.method-not-allowed.
object
Example
{ "code": "request.method-not-allowed", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: deployment.activation-changed, deployment.refused.
object
Example
{ "code": "deployment.activation-changed", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: runtime.failure.
object
Example
{ "code": "runtime.failure", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}A problem: audit.response-unavailable, service.unavailable.
object
Example
{ "code": "audit.response-unavailable", "type": "https://id.registrystack.org/problems/registry-coordinator/admission/held"}Headers
Section titled “Headers”Whole seconds to wait before trying again.
Cookies on Registry Stack
We use optional cookies to understand how you use the main Registry Stack website and this documentation. If you contact us, we may link this activity to your enquiry. You can change your choice at any time. Read the privacy policy.
Your browser asks sites not to track you, so optional tracking stays off.
We could not use or save that choice. Optional tracking remains off.